- Qt 5.5
- Qt Multimedia
- C++ Classes
- QMediaAudioProbeControl
- Qt 5.5.1 Reference Documentation

# QMediaAudioProbeControl Class

The QMediaAudioProbeControl class allows control over probing audio data in media objects. More...

Header: | #include <QMediaAudioProbeControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaAudioProbeControl()

## Signals

void | audioBufferProbed(const QAudioBuffer & buffer)
void | flush()

## Protected Functions

| QMediaAudioProbeControl(QObject * parent = 0)

## Macros

| QMediaAudioProbeControl_iid

## Detailed Description

The QMediaAudioProbeControl class allows control over probing audio data in media objects.

QAudioProbe is the client facing class for probing audio - this class is implemented by media backends to provide this functionality.

The interface name of QMediaAudioProbeControl is `org.qt-project.qt.mediaaudioprobecontrol/5.0` as defined in QMediaAudioProbeControl_iid.

See also QAudioProbe, QMediaService::requestControl(), QMediaPlayer, and QCamera.

## Member Function Documentation

### `[protected]` QMediaAudioProbeControl::QMediaAudioProbeControl(QObject * parent = 0)

Create a new media audio probe control object with the given parent.

### `[virtual]` QMediaAudioProbeControl::~QMediaAudioProbeControl()

Destroys this audio probe control

### `[signal]` void QMediaAudioProbeControl::audioBufferProbed(const QAudioBuffer & buffer)

This signal should be emitted when an audio buffer is processed in the media service.

### `[signal]` void QMediaAudioProbeControl::flush()

This signal should be emitted when it is required to release all frames.

## Macro Documentation

### QMediaAudioProbeControl_iid

`org.qt-project.qt.mediaaudioprobecontrol/5.0`

Defines the interface name of the QMediaAudioProbeControl class.